Name:           python-moto
Version:        5.1.2
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        A library that allows you to easily mock out tests based on AWS infrastructure

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            http://docs.getmoto.org/en/latest/
Source:         %{pypi_source moto}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'moto' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-moto
Summary:        %{summary}

%description -n python3-moto %_description

# For official Fedora packages, review which extras should be actually packaged
# See: https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#Extras
%pyproject_extras_subpkg -n python3-moto acm,acmpca,all,amp,apigateway,apigatewayv2,applicationautoscaling,appsync,athena,autoscaling,awslambda,awslambda-simple,backup,batch,batch-simple,budgets,ce,cloudformation,cloudfront,cloudtrail,cloudwatch,codebuild,codecommit,codepipeline,cognitoidentity,cognitoidp,comprehend,config,databrew,datapipeline,datasync,dax,dms,ds,dynamodb,dynamodbstreams,ebs,ec2,ec2instanceconnect,ecr,ecs,efs,eks,elasticache,elasticbeanstalk,elastictranscoder,elb,elbv2,emr,emrcontainers,emrserverless,es,events,firehose,forecast,glacier,glue,greengrass,guardduty,iam,inspector2,iot,iotdata,ivs,kinesis,kinesisvideo,kinesisvideoarchivedmedia,kms,logs,managedblockchain,mediaconnect,medialive,mediapackage,mediastore,mediastoredata,meteringmarketplace,mq,opsworks,organizations,panorama,personalize,pinpoint,polly,proxy,quicksight,ram,rds,redshift,redshiftdata,rekognition,resourcegroups,resourcegroupstaggingapi,route53,route53resolver,s3,s3control,s3crc32c,sagemaker,scheduler,sdb,secretsmanager,server,servicediscovery,servicequotas,ses,signer,sns,sqs,ssm,ssoadmin,stepfunctions,sts,support,swf,textract,timestreamwrite,transcribe,wafv2,xray


%prep
%autosetup -p1 -n moto-%{version}


%generate_buildrequires
# Keep only those extras which you actually want to package or use during tests
%pyproject_buildrequires -x acm,acmpca,all,amp,apigateway,apigatewayv2,applicationautoscaling,appsync,athena,autoscaling,awslambda,awslambda-simple,backup,batch,batch-simple,budgets,ce,cloudformation,cloudfront,cloudtrail,cloudwatch,codebuild,codecommit,codepipeline,cognitoidentity,cognitoidp,comprehend,config,databrew,datapipeline,datasync,dax,dms,ds,dynamodb,dynamodbstreams,ebs,ec2,ec2instanceconnect,ecr,ecs,efs,eks,elasticache,elasticbeanstalk,elastictranscoder,elb,elbv2,emr,emrcontainers,emrserverless,es,events,firehose,forecast,glacier,glue,greengrass,guardduty,iam,inspector2,iot,iotdata,ivs,kinesis,kinesisvideo,kinesisvideoarchivedmedia,kms,logs,managedblockchain,mediaconnect,medialive,mediapackage,mediastore,mediastoredata,meteringmarketplace,mq,opsworks,organizations,panorama,personalize,pinpoint,polly,proxy,quicksight,ram,rds,redshift,redshiftdata,rekognition,resourcegroups,resourcegroupstaggingapi,route53,route53resolver,s3,s3control,s3crc32c,sagemaker,scheduler,sdb,secretsmanager,server,servicediscovery,servicequotas,ses,signer,sns,sqs,ssm,ssoadmin,stepfunctions,sts,support,swf,textract,timestreamwrite,transcribe,wafv2,xray


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-moto -f %{pyproject_files}


%changelog
%autochangelog